Bug 1647184 - Running WiFi Hotspot, Android device refuses to connect
Summary: Running WiFi Hotspot, Android device refuses to connect
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 20:03 UTC by Duncan Innes
Modified: 2019-11-27 18:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:12:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Duncan Innes 2018-11-06 20:03:01 UTC
Description of problem: Setting up a Wifi hotspot on my laptop, one of my Android devices refuses to connect.  5 other Android devices connect happily.  Device failing is:

Samsung Galaxy S9+ (running Android 8.0.0)

Devices succeeding are:

Nexus 7 tablet (x3 - all running Android 6.0.1)
Amazon Fire HD 8 kids edition (running Fire OS 6.3.0.1)
Nexus 6P (running Android 8.1.0)


Version-Release number of selected component (if applicable): wpa_supplicant-2.6-17.fc29.x86_64


How reproducible: Every time


Steps to Reproduce:
1. Turn on Wifi hotspot
2. Attempt to connect with Galaxy S9+
3. 

Actual results:
Get several "ieee802_11_send_sa_query_req: send failed" messages in journalctl until device gives up with "Authentication failed"

Expected results:
Device should connect quickly and cleanly like other Android devices

Additional info: 

01:00.0 Network controller: Intel Corporation Wireless 7260 (rev 73)

Nov 06 19:58:35 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:58:35 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:58:45 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:58:56 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:58:56 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:59:07 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:59:07 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:59:07 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:59:17 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:59:18 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:59:28 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed
Nov 06 19:59:28 plexserver wpa_supplicant[1034]: ieee802_11_send_sa_query_req: send failed

Comment 1 Paulo Castro 2019-07-08 12:26:29 UTC
I confirm the same issue though I don't see the same messages as Duncan Innes.
Further, this is Android specific as I can connect to the HotSpot from other hosts running the same version of Fedora.

Samsung Galaxy S8+ running Android 9 Kernel version 4.4.111-16019454

Linux Hotspot:

NetworkManager: 1.16.2.1.fc30
wpa_supplicant: 2.8.2.fc30
Kernel: 5.1.8-300.fc30.x86_64

In my case it seems (Message 4 of 4) never gets sent by the STA.
Judging by some packet captures I've performend against a working comercial router, Android (802.1X-2001) seems to auth fine against an AP running 802.1X-2004.



Jul 07 21:49:33 localhost wpa_supplicant[1106]: nl80211: Drv Event 19 (NL80211_CMD_NEW_STATION) received for wlp0s20u1
Jul 07 21:49:33 localhost wpa_supplicant[1106]: nl80211: New station 04:d6:aa:15:ca:62
Jul 07 21:49:33 localhost wpa_supplicant[1106]: nl80211: Assoc Req IEs - hexdump(len=133): 00 06 57 6f 72 6d 69 78 01 08 82 84 8b 96 24 30 48 6c 32 04 0c 12 18 60 21 02 03 14 24 02 01 0d 30 14 01 00 00 0f ac 02 01 00 00 0f ac 04 01 00 00 0f ac 06 80 00 2d 1a ad 01 1b ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 dd 09 00 10 18 02 00 00 10 00 00 dd 07 00 50 f2 02 00 01 00 dd 1d 00 90 4c 5c 02 01 0a 00 08 07 01 0f 00 00 00 00 00 01 0a 01 01 01 01 0f 00 00 00 00 00
Jul 07 21:49:33 localhost wpa_supplicant[1106]: wlp0s20u1: Event ASSOC (0) received
Jul 07 21:49:33 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - associated
Jul 07 21:49:33 localhost wpa_supplicant[1106]: STA included RSN IE in (Re)AssocReq
Jul 07 21:49:33 localhost wpa_supplicant[1106]:   New STA
Jul 07 21:49:33 localhost wpa_supplicant[1106]: ap_sta_add: register ap_handle_timer timeout for 04:d6:aa:15:ca:62 (300 seconds - ap_max_inactivity)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: nl80211: Set STA flags - ifname=wlp0s20u1 addr=04:d6:aa:15:ca:62 total_flags=0x60 flags_or=0x0 flags_and=0xfffffff1 authorized=0
Jul 07 21:49:33 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - event 1 notification
Jul 07 21:49:33 localhost wpa_supplicant[1106]: wpa_driver_nl80211_set_key: ifindex=4 (wlp0s20u1) alg=0 addr=0x55ca2770f2e0 key_idx=0 set_tx=1 seq_len=0 key_len=0
Jul 07 21:49:33 localhost wpa_supplicant[1106]:    addr=04:d6:aa:15:ca:62
Jul 07 21:49:33 localhost wpa_supplicant[1106]: P2P: First non-P2P device connected
Jul 07 21:49:33 localhost wpa_supplicant[1106]: IEEE 802.1X: Ignore STA - 802.1X not enabled or forced for WPS
Jul 07 21:49:33 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - start authentication
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state INITIALIZE
Jul 07 21:49:33 localhost wpa_supplicant[1106]: wpa_driver_nl80211_set_key: ifindex=4 (wlp0s20u1) alg=0 addr=0x55ca2770f2e0 key_idx=0 set_tx=1 seq_len=0 key_len=0
Jul 07 21:49:33 localhost wpa_supplicant[1106]:    addr=04:d6:aa:15:ca:62
Jul 07 21:49:33 localhost wpa_supplicant[1106]: nl80211: Set STA flags - ifname=wlp0s20u1 addr=04:d6:aa:15:ca:62 total_flags=0x60 flags_or=0x0 flags_and=0xfffffffe authorized=0
Jul 07 21:49:33 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - unauthorizing port
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK_GROUP entering state IDLE
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state AUTHENTICATION
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state AUTHENTICATION2
Jul 07 21:49:33 localhost wpa_supplicant[1106]: Get randomness: len=32 entropy=1
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Assign ANonce - hexdump(len=32): c9 c1 2a 24 9e b6 3b a8 2e d6 65 1e 3b 45 20 fe 5d 14 a2 63 a1 78 05 16 2a 6a 1b 0d 99 38 c6 7f
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state INITPSK
Jul 07 21:49:33 localhost wpa_supplicant[1106]: Searching a PSK for 04:d6:aa:15:ca:62 prev_psk=(nil)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: Searching a PSK for 04:d6:aa:15:ca:62 prev_psk=(nil)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKSTART
Jul 07 21:49:33 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - sending 1/4 msg of 4-Way Handshake
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Send EAPOL(version=3 secure=0 mic=0 ack=1 install=0 pairwise=1 kde_len=0 keyidx=0 encr=0)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Replay Counter - hexdump(len=8): 00 00 00 00 00 00 00 01
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Use EAPOL-Key timeout of 1000 ms (retry counter 1)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: wlp0s20u1: hostapd_new_assoc_sta: reschedule ap_handle_timer timeout for 04:d6:aa:15:ca:62 (300 seconds - ap_max_inactivity)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: wlp0s20u1: CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
Jul 07 21:49:33 localhost kernel: RTW: recv eapol packet 2/4
Jul 07 21:49:33 localhost wpa_supplicant[1106]: l2_packet_receive: src=04:d6:aa:15:ca:62 len=121
Jul 07 21:49:33 localhost wpa_supplicant[1106]: wlp0s20u1: RX EAPOL from 04:d6:aa:15:ca:62
Jul 07 21:49:33 localhost wpa_supplicant[1106]: RX EAPOL - hexdump(len=121): 01 03 00 75 02 01 0b 00 00 00 00 00 00 00 00 00 01 80 ae 0b 42 fa 60 88 a4 6e 89 ca 06 bc 1b cd ae 9b c0 2a 64 d5 dd df 5b 1a 9e 60 3e ac c3 80 61 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 97 73 1d 3e 8c a8 aa 07 b4 bf 9b a6 6c 64 cc ed 00 16 30 14 01 00 00 0f ac 02 01 00 00 0f ac 04 01 00 00 0f ac 06 80 00
Jul 07 21:49:33 localhost wpa_supplicant[1106]: IEEE 802.1X: 121 bytes from 04:d6:aa:15:ca:62
Jul 07 21:49:33 localhost wpa_supplicant[1106]:    IEEE 802.1X: version=1 type=3 length=117
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: RX EAPOL data - hexdump(len=121): 01 03 00 75 02 01 0b 00 00 00 00 00 00 00 00 00 01 80 ae 0b 42 fa 60 88 a4 6e 89 ca 06 bc 1b cd ae 9b c0 2a 64 d5 dd df 5b 1a 9e 60 3e ac c3 80 61 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 97 73 1d 3e 8c a8 aa 07 b4 bf 9b a6 6c 64 cc ed 00 16 30 14 01 00 00 0f ac 02 01 00 00 0f ac 04 01 00 00 0f ac 06 80 00
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Received EAPOL-Key from 04:d6:aa:15:ca:62 key_info=0x10b type=2 mic_len=16 key_data_length=22
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: EAPOL-Key header (ending before Key MIC) - hexdump(len=77): 02 01 0b 00 00 00 00 00 00 00 00 00 01 80 ae 0b 42 fa 60 88 a4 6e 89 ca 06 bc 1b cd ae 9b c0 2a 64 d5 dd df 5b 1a 9e 60 3e ac c3 80 61 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Jul 07 21:49:33 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) keyid=1, pairwise=0, addr=          (null) ret 0
Jul 07 21:49:33 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) seq:0x0
Jul 07 21:49:33 localhost kernel: RTW: send eapol packet 3/4
Jul 07 21:49:33 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: EAPOL-Key Key MIC - hexdump(len=16): 97 73 1d 3e 8c a8 aa 07 b4 bf 9b a6 6c 64 cc ed
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Received Key Nonce - hexdump(len=32): 80 ae 0b 42 fa 60 88 a4 6e 89 ca 06 bc 1b cd ae 9b c0 2a 64 d5 dd df 5b 1a 9e 60 3e ac c3 80 61
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Received Replay Counter - hexdump(len=8): 00 00 00 00 00 00 00 01
Jul 07 21:49:33 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - received EAPOL-Key frame (2/4 Pairwise)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKCALCNEGOTIATING
Jul 07 21:49:33 localhost wpa_supplicant[1106]: Searching a PSK for 04:d6:aa:15:ca:62 prev_psk=(nil)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: PTK derivation using PRF(SHA256)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: PTK derivation - A1=40:b0:76:59:5c:40 A2=04:d6:aa:15:ca:62
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Nonce1 - hexdump(len=32): c9 c1 2a 24 9e b6 3b a8 2e d6 65 1e 3b 45 20 fe 5d 14 a2 63 a1 78 05 16 2a 6a 1b 0d 99 38 c6 7f
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Nonce2 - hexdump(len=32): 80 ae 0b 42 fa 60 88 a4 6e 89 ca 06 bc 1b cd ae 9b c0 2a 64 d5 dd df 5b 1a 9e 60 3e ac c3 80 61
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: PMK - hexdump(len=32): [REMOVED]
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: PTK - hexdump(len=48): [REMOVED]
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: KCK - hexdump(len=16): [REMOVED]
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: KEK - hexdump(len=16): [REMOVED]
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: TK - hexdump(len=16): [REMOVED]
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: EAPOL-Key MIC using AES-CMAC
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKCALCNEGOTIATING2
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKINITNEGOTIATING
Jul 07 21:49:33 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - sending 3/4 msg of 4-Way Handshake
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Send EAPOL(version=3 secure=1 mic=1 ack=1 install=1 pairwise=1 kde_len=98 keyidx=1 encr=1)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Replay Counter - hexdump(len=8): 00 00 00 00 00 00 00 02
Jul 07 21:49:33 localhost wpa_supplicant[1106]: Plaintext EAPOL-Key Key Data - hexdump(len=112): [REMOVED]
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Encrypt Key Data using AES-WRAP (KEK length 16)
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: EAPOL-Key MIC using AES-CMAC
Jul 07 21:49:33 localhost wpa_supplicant[1106]: WPA: Use EAPOL-Key timeout of 1000 ms (retry counter 1)
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: OnAction_back
Jul 07 21:49:34 localhost kernel: RTW: OnAction_back, action=0
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: OnAction_back
Jul 07 21:49:34 localhost kernel: RTW: OnAction_back, action=0
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: rtw_sctx_wait timeout: dump_mgntframe_and_wait_ack_timeout
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - EAPOL-Key timeout
Jul 07 21:49:34 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) keyid=1, pairwise=0, addr=          (null) ret 0
Jul 07 21:49:34 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) seq:0x0
Jul 07 21:49:34 localhost kernel: RTW: send eapol packet 3/4
Jul 07 21:49:34 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKINITNEGOTIATING
Jul 07 21:49:34 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - sending 3/4 msg of 4-Way Handshake
Jul 07 21:49:34 localhost wpa_supplicant[1106]: WPA: Send EAPOL(version=3 secure=1 mic=1 ack=1 install=1 pairwise=1 kde_len=98 keyidx=1 encr=1)
Jul 07 21:49:34 localhost wpa_supplicant[1106]: WPA: Replay Counter - hexdump(len=8): 00 00 00 00 00 00 00 03
Jul 07 21:49:34 localhost wpa_supplicant[1106]: Plaintext EAPOL-Key Key Data - hexdump(len=112): [REMOVED]
Jul 07 21:49:34 localhost wpa_supplicant[1106]: WPA: Encrypt Key Data using AES-WRAP (KEK length 16)
Jul 07 21:49:34 localhost wpa_supplicant[1106]: WPA: EAPOL-Key MIC using AES-CMAC
Jul 07 21:49:34 localhost wpa_supplicant[1106]: WPA: Use EAPOL-Key timeout of 1000 ms (retry counter 2)
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:34 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:35 localhost kernel: RTW: rtw_sctx_wait timeout: dump_mgntframe_and_wait_ack_timeout
Jul 07 21:49:35 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:35 localhost kernel: RTW: OnAction_back
Jul 07 21:49:35 localhost kernel: RTW: OnAction_back, action=0
Jul 07 21:49:35 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - EAPOL-Key timeout
Jul 07 21:49:35 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKINITNEGOTIATING
Jul 07 21:49:35 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - sending 3/4 msg of 4-Way Handshake
Jul 07 21:49:35 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) keyid=1, pairwise=0, addr=          (null) ret 0
Jul 07 21:49:35 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) seq:0x0
Jul 07 21:49:35 localhost kernel: RTW: send eapol packet 3/4
Jul 07 21:49:35 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:35 localhost wpa_supplicant[1106]: WPA: Send EAPOL(version=3 secure=1 mic=1 ack=1 install=1 pairwise=1 kde_len=98 keyidx=1 encr=1)
Jul 07 21:49:35 localhost wpa_supplicant[1106]: WPA: Replay Counter - hexdump(len=8): 00 00 00 00 00 00 00 04
Jul 07 21:49:35 localhost wpa_supplicant[1106]: Plaintext EAPOL-Key Key Data - hexdump(len=112): [REMOVED]
Jul 07 21:49:35 localhost wpa_supplicant[1106]: WPA: Encrypt Key Data using AES-WRAP (KEK length 16)
Jul 07 21:49:35 localhost wpa_supplicant[1106]: WPA: EAPOL-Key MIC using AES-CMAC
Jul 07 21:49:35 localhost wpa_supplicant[1106]: WPA: Use EAPOL-Key timeout of 1000 ms (retry counter 3)
Jul 07 21:49:35 localhost kernel: RTW: rtw_sctx_wait timeout: dump_mgntframe_and_wait_ack_timeout
Jul 07 21:49:35 localhost kernel: RTW: issue_addba_rsp_wait_ack(wlp0s20u1) ra=04:d6:aa:15:ca:62 status:=0 tid=6 size:64, 3/3 in 1625 ms
Jul 07 21:49:35 localhost kernel: RTW: wlp0s20u1 cmd=65,0,0 process_time=1625
Jul 07 21:49:35 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:36 localhost kernel: RTW: rtw_sctx_wait timeout: dump_mgntframe_and_wait_ack_timeout
Jul 07 21:49:36 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:36 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:36 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - EAPOL-Key timeout
Jul 07 21:49:36 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) keyid=1, pairwise=0, addr=          (null) ret 0
Jul 07 21:49:36 localhost kernel: RTW: cfg80211_rtw_get_key(wlp0s20u1) seq:0x0
Jul 07 21:49:36 localhost kernel: RTW: send eapol packet 3/4
Jul 07 21:49:36 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:36 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKINITNEGOTIATING
Jul 07 21:49:36 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - sending 3/4 msg of 4-Way Handshake
Jul 07 21:49:36 localhost wpa_supplicant[1106]: WPA: Send EAPOL(version=3 secure=1 mic=1 ack=1 install=1 pairwise=1 kde_len=98 keyidx=1 encr=1)
Jul 07 21:49:36 localhost wpa_supplicant[1106]: WPA: Replay Counter - hexdump(len=8): 00 00 00 00 00 00 00 05
Jul 07 21:49:36 localhost wpa_supplicant[1106]: Plaintext EAPOL-Key Key Data - hexdump(len=112): [REMOVED]
Jul 07 21:49:36 localhost wpa_supplicant[1106]: WPA: Encrypt Key Data using AES-WRAP (KEK length 16)
Jul 07 21:49:36 localhost wpa_supplicant[1106]: WPA: EAPOL-Key MIC using AES-CMAC
Jul 07 21:49:36 localhost wpa_supplicant[1106]: WPA: Use EAPOL-Key timeout of 1000 ms (retry counter 4)
Jul 07 21:49:36 localhost kernel: RTW: rtw_sctx_wait timeout: dump_mgntframe_and_wait_ack_timeout
Jul 07 21:49:36 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:37 localhost kernel: RTW: rtw_sctx_wait timeout: dump_mgntframe_and_wait_ack_timeout
Jul 07 21:49:37 localhost kernel: RTW: issue_addba_rsp_wait_ack(wlp0s20u1) ra=04:d6:aa:15:ca:62 status:=0 tid=0 size:64, 3/3 in 1624 ms
Jul 07 21:49:37 localhost kernel: RTW: wlp0s20u1 cmd=65,0,0 process_time=1624
Jul 07 21:49:37 localhost kernel: RTW: rtl8814_sreset_xmit_status_check REG_TXDMA_STATUS:0x00003000
Jul 07 21:49:37 localhost kernel: RTW: Turbo EDCA =0x5ea42b
Jul 07 21:49:37 localhost kernel: RTW: +xmitframe_complete
Jul 07 21:49:37 localhost kernel: RTW: +cfg80211_rtw_del_station(wlp0s20u1) mac=04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost kernel: RTW: free sta macaddr =04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost kernel: RTW: cfg80211_rtw_del_station, sta's dot8021xalg = 1 and key_installed = _FALSE
Jul 07 21:49:37 localhost kernel: RTW: -cfg80211_rtw_del_station(wlp0s20u1)
Jul 07 21:49:37 localhost kernel: RTW: cfg80211_rtw_del_key(wlp0s20u1) key_index=0, addr=04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost kernel: RTW: cfg80211_rtw_del_key(wlp0s20u1) key_index=0, addr=04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost kernel: RTW: cfg80211_rtw_change_station(wlp0s20u1) mac:04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost kernel: RTW: +cfg80211_rtw_del_station(wlp0s20u1) mac=04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost kernel: RTW: free sta macaddr =04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost kernel: RTW: cfg80211_rtw_del_station, sta's dot8021xalg = 1 and key_installed = _FALSE
Jul 07 21:49:37 localhost kernel: RTW: -cfg80211_rtw_del_station(wlp0s20u1)
Jul 07 21:49:37 localhost kernel: RTW: cfg80211_rtw_del_key(wlp0s20u1) key_index=0, addr=04:d6:aa:15:ca:62
Jul 07 21:49:37 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - EAPOL-Key timeout
Jul 07 21:49:37 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state PTKINITNEGOTIATING
Jul 07 21:49:37 localhost wpa_supplicant[1106]: hostapd_logger: STA 04:d6:aa:15:ca:62 - PTKINITNEGOTIATING: Retry limit 4 reached
Jul 07 21:49:37 localhost wpa_supplicant[1106]: WPA: 04:d6:aa:15:ca:62 WPA_PTK entering state DISCONNECT
Jul 07 21:49:37 localhost wpa_supplicant[1106]: wpa_sta_disconnect STA 04:d6:aa:15:ca:62 (reason 2)
Jul 07 21:49:37 localhost wpa_supplicant[1106]: hostapd_wpa_auth_disconnect: WPA authenticator requests disconnect: STA 04:d6:aa:15:ca:62 reason 2
Jul 07 21:49:37 localhost wpa_supplicant[1106]: wlp0s20u1: ap_sta_disconnect addr 04:d6:aa:15:ca:62 reason=2

Comment 2 Paulo Castro 2019-07-08 14:29:17 UTC
Some good news...
I've built wpa_supplicant based off the master branch at https://w1.fi/cgit/hostap/commit/?id=cd803299ca485eb857e37c88f973fccfbb8600e5 and I can certify that Android now connects to the AP.

cat <<EOF > .config
CFLAGS += -Werror

CONFIG_TLS=internal
CONFIG_INTERNAL_LIBTOMMATH=y
CONFIG_INTERNAL_LIBTOMMATH_FAST=y

CONFIG_IEEE8021X_EAPOL=y

CONFIG_ERP=y
CONFIG_EAP_MD5=y
CONFIG_MSCHAPV2=y
CONFIG_EAP_TLS=y
CONFIG_EAP_PEAP=y
CONFIG_EAP_TTLS=y
CONFIG_EAP_GTC=y
CONFIG_EAP_OTP=y
CONFIG_EAP_PSK=y
CONFIG_EAP_PAX=y
CONFIG_EAP_LEAP=y
CONFIG_EAP_SIM=y
CONFIG_EAP_AKA=y
CONFIG_EAP_AKA_PRIME=y
CONFIG_EAP_VENDOR_TEST=y
CONFIG_EAP_TLV=y
CONFIG_EAP_SAKE=y
CONFIG_EAP_GPSK=y
CONFIG_EAP_GPSK_SHA256=y
CONFIG_EAP_EKE=y
CONFIG_EAP_TNC=y
CFLAGS += -DTNC_CONFIG_FILE=\"tnc/tnc_config\"
LIBS += -rdynamic
CONFIG_EAP_FAST=y
CONFIG_EAP_IKEV2=y

CONFIG_IPV6=y
CONFIG_DRIVER_NONE=y
CONFIG_PKCS12=y
CONFIG_CTRL_IFACE=unix

CONFIG_WPA_CLI_EDIT=y

CONFIG_OCSP=y

#CONFIG_ELOOP_POLL=y

CONFIG_CTRL_IFACE_DBUS_NEW=y
CONFIG_CTRL_IFACE_DBUS_INTRO=y

CONFIG_IEEE80211W=y
CONFIG_IEEE80211R=y
CONFIG_IEEE80211N=y
CONFIG_IEEE80211AC=y

CONFIG_DEBUG_FILE=y

CONFIG_WPS=y
#CONFIG_WPS_STRICT=y
CONFIG_WPS_UPNP=y
CONFIG_WPS_NFC=y
CONFIG_WPS_ER=y
#CONFIG_WPS_REG_DISABLE_OPEN=y

CONFIG_DRIVER_WEXT=y

CONFIG_DRIVER_NL80211=y
CFLAGS += -I/usr/include/libnl3
CONFIG_LIBNL32=y

CONFIG_IBSS_RSN=y

CONFIG_AP=y
#CONFIG_MESH=y
CONFIG_P2P=y
CONFIG_WIFI_DISPLAY=y

CONFIG_ACS=y

CONFIG_BGSCAN_SIMPLE=y
CONFIG_BGSCAN_LEARN=y

#CONFIG_WPA_TRACE=y
#CONFIG_WPA_TRACE_BFD=y

CONFIG_TDLS=y
#CONFIG_TDLS_TESTING=y
CONFIG_NO_RANDOM_POOL=y

CONFIG_TLSV11=y
CONFIG_TLSV12=y

#CONFIG_HT_OVERRIDES=y
#CONFIG_VHT_OVERRIDES=y

#CONFIG_DEBUG_LINUX_TRACING=y

CONFIG_INTERWORKING=y
CONFIG_HS20=y

CONFIG_AUTOSCAN_EXPONENTIAL=y
CONFIG_AUTOSCAN_PERIODIC=y

CONFIG_EXT_PASSWORD_TEST=y

CONFIG_EAP_UNAUTH_TLS=y

#CONFIG_SAE=y
#CFLAGS += -DALL_DH_GROUPS

CONFIG_WNM=y

CONFIG_FST=y
#CONFIG_FST_TEST=y

#CONFIG_TESTING_OPTIONS=y
#CONFIG_MODULE_TESTS=y

CONFIG_SUITEB=y

CONFIG_MBO=y

#CONFIG_CODE_COVERAGE=y
CFLAGS += -O0 -Wsign-compare
#CONFIG_FILS=y
#CONFIG_FILS_SK_PFS=y
CONFIG_PMKSA_CACHE_EXTERNAL=y
#CONFIG_OWE=y
#CONFIG_DPP=y

CONFIG_DEBUG_SYSLOG=y
EOF

Comment 3 Ben Cotton 2019-10-31 19:04:19 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 18:12:41 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.